catalog:
  title: rsb-jack audio bridge

templates:
- cmake-cpp
- base

variables:
  description: An audio brigde between RSB and Jack.
  keywords:
  - audio
  access: private

  repository: https://projects.cit-ec.uni-bielefeld.de/git/agaispeechprocessing.git.rsb-jack.git
  scm.credentials: projects.cit-ec
  git.checkout-submodules?: true
  branches:
  - master
  - csra-0.4
  - multiqueue

  platform-requires:
    ubuntu:
      packages:
      - libjack-jackd2-dev
      - libboost-dev

versions:
- name: '16.07'
  variables:
    commit: fb9a907

- name: '18.04'
  variables:
    commit: f5d424c9adce37b8f481057cbe61e532d2230644

- name: hash-18.05
  variables:
    commit: 033ebdb2a5116932b1f35328036be7ecf1027918

- name: hash-18.09
  variables:
    commit: dd5f41f37b5e68bcb1c4a94102a8d45f5d435861
